Create Buyer

Let's create/onboard a new buyer. For this you'll need 2 things:

  1. Create a new ID for this buyer (should map to your internal identifier)
  2. The buyer's legal information. ⚠️ Note that one of either business_registration_number or tax_number must be provided on creation.
📘

You should create a buyer entity for every buyer on your platform that can be part of a lending transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 100
^[a-zA-Z0-9_\.\-]{1,100}$

Custom ID of the buyer, should map to your internal identifier. Must consist only of a-z, A-Z, 0-9 and .-_ characters, and length should not exceed 100 characters.

string
required
length ≤ 100
string
length ≤ 100

Registration number of the buyer from the commercial register.

string
length ≤ 100

Identification number assigned to the buyer by local tax office. > ⚠️ This field must be provided in case the business registration number is omitted.

string
required
^(?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-zA-Z0-9-]*[a-zA-Z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$

Email address of the buyer.

string
length between 4 and 30
^\+[0-9]+$

Phone number of the buyer. Must be provided in the international format, e.g. +49123456789.

legal_address
object
required
Responses

401

Missing or invalid API key. Could not authenticate API request.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json